apiVersion: forklift.konveyor.io/v1beta1
kind: Plan
metadata:
  annotations:
    populatorLabels: "True"
  creationTimestamp: "2026-02-02T08:38:38Z"
  generation: 1
  name: plan-rhel9
  namespace: mtv-test
  resourceVersion: "13502798"
  uid: c180666a-0b19-4d5c-83f9-d6f947b1d45d
spec:
  map:
    network:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: NetworkMap
      name: plan-rhel9-network-map
      namespace: mtv-test
    storage:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: StorageMap
      name: plan-rhel9-storage-map
      namespace: mtv-test
  migrateSharedDisks: true
  preserveStaticIPs: true
  provider:
    destination:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: host
      namespace: mtv-test
    source:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: vmware-7
      namespace: mtv-test
  pvcNameTemplateUseGenerateName: true
  runPreflightInspection: true
  skipGuestConversion: false
  targetNamespace: mtv-test
  useCompatibilityMode: true
  vms:
  - id: vm-1002
    luks: {}
    name: ameen-RHEL9
status:
  conditions:
  - category: Warn
    items:
    - ' id:vm-1002 name:''ameen-RHEL9'' '
    lastTransitionTime: "2026-02-02T08:38:38Z"
    message: Target VM name does not comply with DNS1123 RFC, will be automatically
      changed.
    reason: NotValid
    status: "True"
    type: TargetNameNotValid
  - category: Required
    lastTransitionTime: "2026-02-02T08:38:44Z"
    message: The migration plan is ready.
    status: "True"
    type: Ready
  migration: {}
  observedGeneration: 1
